export const getRankingStyle = (number) => {
  if (number <= 3) {
    return {
      1: 'background: linear-gradient(180deg, #D40E0E 0%, #FF4D4D 100%);color: #fff',
      2: 'background: linear-gradient(180deg, #FFBA2F 0%, #FFD47F 100%);color: #fff',
      3: 'background: linear-gradient(180deg, #495FFF 0%, #9DA9FF 100%);color: #fff'
    }[number]
  }
}

export const getMapDataItem = (title, value = 0) => {
  return `
            <li style="width: 114px; height: 24px; background: #fff; margin-top: 8px; padding: 2px 8px; background: rgba(255, 255, 255, 0.9); border-radius: 2px; display: flex; justify-content: space-between" >
              <span style="color: #4E5969; font-size: 12px">${title}</span>
              <span style="color: #4E5969; font-size: 14px; font-weight: bold">${value}</span>
            </li>
         `
}

/**
 * 大数转换
 * @param {number} 要转换的数字
 */
export const formatBigNumber = (number, decimalPlaces = 2) => {
  if (typeof number !== 'number' && typeof number !== 'string') {
    return console.warn(`Input must be a number or a string representation of a number. but get ${typeof number}`)
  }
  number = parseFloat(number)
  if (Math.abs(number) < 10000) {
    return { count: number.toFixed(decimalPlaces), unit: '' }
  }
  const units = ['', '万', '亿']
  const unitIndex = Math.floor((parseInt(number).toString().length - 1) / 4)
  const unit = units[Math.min(unitIndex, 2)]
  let result
  if (unitIndex > 0) {
    result = (number / Math.pow(10, unitIndex * 4)).toFixed(decimalPlaces)
  } else {
    result = number.toFixed(decimalPlaces)
  }
  return {
    count: result,
    unit
  }
}
